<?php
/**
* @ 2013 Benj Golding. All rights reserved.
* @GNU/GPL licence
*
*/

// Assert file included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
* YouTube Content Plugin
*
*/
class plgContentTwitchPlugin extends JPlugin
{

	/**
	* Ctor
	*
	* @param object $subject The object to observe
	* @param object $params The object that holds the plugin parameters
	*/
	function PluginTwitch( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	/**
	* Example prepare content method
	*
	* Method is called by the view
	*
	* @param object The article object. Note $article->text is also available
	* @param object The article params
	* @param int The 'page' number
	*/
	function onContentPrepare( $context, &$article, &$params, $page = 0)
		{
		global $mainframe;

		if ( JString::strpos( $article->text, '{twitch}' ) === false ) {
		return true;
		}
		
		$article->text = preg_replace('|{twitch}(.*){\/twitch}|e', '$this->embedVideo("\1")', $article->text);
		
			

		return true;
	
	}

	function embedVideo($vCode)
	{

	 	$params = $this->params;

		$width = $params->get('width', 425);
		$height = $params->get('height', 344);
			
		return '<object type="application/x-shockwave-flash" height="'.$height.'" width="'.$width.'" id="live_embed_player_flash" data="http://www.twitch.tv/widgets/live_embed_player.swf?channel='.$vCode.'" bgcolor="#000000"><param name="allowFullScreen" value="true" /><param name="allowScriptAccess" value="always" /><param name="allowNetworking" value="all" /><param name="movie" value="http://www.twitch.tv/widgets/live_embed_player.swf" /><param name="flashvars" value="hostname=www.twitch.tv&channel='.$vCode.'&auto_play=true&start_volume=25" /></object><a href="http://www.twitch.tv/'.$vCode.'" class="trk" style="padding:2px 0px 4px; display:block; width:'.$width.'; font-weight:normal; font-size:10px; text-decoration:underline; text-align:center;">Watch live video from '.$vCode.' on www.twitch.tv</a>';
	}

}
